> ## Documentation Index
> Fetch the complete documentation index at: https://docs.endaoment.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Dismiss recommendation

> Marks a recommendation as dismissed by the user.



## OpenAPI

````yaml https://api.endaoment.org/oas-json put /v1/recommendations/{id}/dismiss
openapi: 3.0.0
info:
  title: Endaoment API
  description: >-
    The official Endaoment API endpoints. Dev (canary) = newest features;
    Staging (stable) = pre-production.
  version: 0.0.0-dev
  contact: {}
servers:
  - url: https://api.endaoment.org
    description: Production
security: []
tags:
  - name: Partner Endpoints
    description: Tech-platform partner server-to-server APIs
  - name: Authentication
    description: OAuth callers, API keys, and session verification
  - name: Funds
    description: Donor-advised fund lifecycle
  - name: Donations
    description: Donation pledges, supported assets, and impact totals
  - name: Portfolios
    description: Investment portfolio catalog
  - name: Nonprofit Organizations
    description: Nonprofit lookup, subprojects, and missing-org intake
  - name: Grant Transfers
    description: Grant and entity transfers
  - name: Collaboration
    description: Collaborator recommendations and fund collaboration
  - name: Activity
    description: Public and scoped activity feeds
paths:
  /v1/recommendations/{id}/dismiss:
    put:
      tags:
        - Collaboration
      summary: Dismiss recommendation
      description: Marks a recommendation as dismissed by the user.
      operationId: RecommendationsController_dismissRecommendation_v1
      parameters:
        - name: id
          required: true
          in: path
          description: The ID of the recommendation to dismiss
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Recommendation successfully dismissed
        '401':
          description: User is not authenticated
        '404':
          description: Recommendation not found
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````